Organizations

Update DynamicProperties sections for an organization

PUT
/api/organizations/sections/{id}

Replaces the sections layout for the given section type (defaults to "Contact"). Performs renames on existing owner documents, validates regex patterns / link-target graphs, and rejects modifications to protected schema fields. Removing a property or changing its dataType leaves instance data on owner documents untouched. Admin or SuperAdmin only.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Query Parameters

type?string
Default"Contact"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/organizations/sections/string" \  -H "Content-Type: application/json" \  -d '{    "sections": [      {        "name": "Personal Information",        "isHidden": false,        "properties": {          "firstName": {            "name": "First Name",            "dataType": "string",            "isHidden": false          },          "lastName": {            "name": "Last Name",            "dataType": "string",            "isHidden": false          }        }      }    ]  }'
{  "message": "Sections updated successfully",  "organization": {    "_id": "5f7b1c2e8a1d4e0012c3b500",    "organizationId": "5f7b1c2e8a1d4e0012c3b400",    "type": "Contact"  },  "renamedProperties": {    "firstname": "firstName"  }}